Exploiting the latest max-severity ConnectWise bug is ’embarrassingly easy’

Infosec researchers say urgent patching of the latest remote code execution (RCE) vulnerability in ConnectWise’s ScreenConnect is required given its maximum severity…

You can read the full article here.